%define qtdir %{_prefix}/lib/qt
%define sourcedir stable/%{version}/distribution/tar/generic/source
Prefix: /usr/lib/kde1-compat

#---------------------------------------------------------------
# set KDE paths to FHS-2.0-compliant locations (Red Hat style) 
# (the $ROOT thing is needed only for kdelibs)

%define kde_prefix  %{prefix}
%define kde_share   $ROOT%{prefix}/share
%define kde_doc     $ROOT%{_prefix}/share/doc/kde1
%define kde_config  $ROOT%{prefix}/share/config
%define kde_include %{prefix}/include

%define kde_path_defs kde_htmldir=%{kde_doc}/HTML kde_icondir=%{kde_share}/icons kde_minidir=%{kde_share}/icons/mini kde_appsdir=%{kde_share}/applnk kde_sounddir=%{kde_share}/sounds kde_datadir=%{kde_share}/apps kde_locale=%{kde_share}/locale kde_cgidir=%{kde_prefix}/lib/cgi-bin kde_confdir=%{kde_config} kde_mimedir=%{kde_share}/mimelnk kde_toolbardir=%{kde_share}/toolbar kde_wallpaperdir=%{kde_share}/wallpapers kde_bindir=%{kde_prefix}/bin kde_partsdir=%{kde_prefix}/lib/parts 
#-----------------------------------------------------------------------

Name: kde1-compat
Icon: kde-icon.xpm
Summary: Compatibility libraries for the K Desktop Environment (KDE) 1.1.x.
Version: 1.1.2
Release: 7mdk
Serial: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdelibs-%{version}.tar.bz2
Source1: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdesupport-%{version}.tar.bz2
Source2: kdoc-snapshot.tar.gz
Patch0: kdelibs-1.1.2-iconpaths.patch
Patch1: kdelibs-1.1.2-redhat.patch
Patch2: kdelibs-1.1.2-fixdebug.patch
Group: System/Libraries
BuildRequires: XFree86-devel
License: LGPL
BuildRoot: /var/tmp/%{name}-buildroot
BuildPrereq: autoconf, automake, libtool, qt-devel
# The following line is NOT a bug... kdesupport 2.x works with the kde1
# libs, so we can make use of that instead of compiling all the old stuff.
Requires: kdesupport

%description
Compatibility libraries for running KDE 1.1.x applications.

The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains libraries for KDE, including:
kdecore, the core library for KDE; kdeui, the user interface library;
kfm, the file manager library, khtmlw, the HTML widget library; kfile,
the file access library; kspell, the spelling checker library;
jscript, the JavaScript library; kab, the addressbook library; kimgio,
an image manipulation library; and mediatool, a library for sound,
mixing and animation.

Install kde1-compat if you need to run applications that were written for
KDE 1.x.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel, kdesupport-devel

%description devel
The kde1-compat-devel package includes the header files needed to compile
applications for the K Desktop Environment (KDE) 1.1.2.  This package also
includes the KDE Application Programming Interface (API) documentation
in HTML format for easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdelibs -a 1 -a 2
%patch0 -p1 -b .iconpaths
%patch1 -p1 -b .redhat
%patch2 -p1 -b .fixdebug

%build
export QTDIR=%{qtdir}
export ROOT=/

cd kdesupport
# All we need from kdesupport is libQwSpriteField.
make -f Makefile.cvs
cp /usr/share/libtool/config.{sub,guess} admin
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" %{kde_path_defs} \
	./configure --prefix=%{_prefix} \
		--without-libjpeg --without-libgif --without-libgdbm \
		--without-libmimelib --without-libuulib \
		--with-libsprite-field
make
cd ..


make -f Makefile.cvs
cp /usr/share/libtool/config.{sub,guess} admin
%ifarch ia64
CFLAGS="-O0" CXXFLAGS="-O0 -DNO_DEBUG" \
	%{kde_path_defs} ./configure \
	--prefix=%{prefix} \
	%{_arch}-redhat-linux
%else
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
	%{kde_path_defs} ./configure \
	--prefix=%{_prefix} \
	%{_arch}-redhat-linux
%endif
make

cd kdoc
make -f Makefile.cvs
%configure \
	--exec-prefix=%{prefix} 
make

# generate documentation
chmod +x kdoc && perl -pi -e \
	"s|/usr/local/bin/perl|/usr/bin/perl|g" kdoc

export PERLLIB=`pwd`:$PERLLIB
export PATH=`pwd`:$PATH
pushd ..
export DIR=`pwd`
popd
#perl ./qt2kdoc \
#	-u %{_docdir}/qt1x-devel-1.*  \
#	-o $DIR \
#	-z %{_docdir}/qt1x-devel-1.*
#perl ./makekdedoc \
#	--outputdir=$DIR/srcdoc \
#	--srcdir=$DIR \
#	-L $DIR

#PERL -pi -e "s|%%{_prefix}/src/bs/BUILD/kdelibs-1.1.2/kdoc/../srcdoc/|

%install
rm -rf $RPM_BUILD_ROOT
export ROOT=$RPM_BUILD_ROOT

cd kdesupport
make %{kde_path_defs} includedir=$RPM_BUILD_ROOT%{prefix}/include \
	prefix=$RPM_BUILD_ROOT%{prefix} install-strip
cd ..

make %{kde_path_defs} includedir=$RPM_BUILD_ROOT%{prefix}/include \
	prefix=$RPM_BUILD_ROOT%{prefix} install-strip
rm -rf $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/apps/kab $RPM_BUILD_ROOT/usr/lib/*.la

chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

cd kdoc
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{prefix}

#perl -pi -e "s|/var/tmp/kdelibs-buildroot|/|" $RPM_BUILD_ROOT%{prefix}/bin/kdoc

strip --strip-unneeded -R .comment $RPM_BUILD_ROOT%{prefix}/lib/*.so*

mkdir -p $RPM_BUILD_ROOT/usr/lib
pushd $RPM_BUILD_ROOT
for i in usr/lib/kde1-compat/lib/*.so.*; do
  ln -sf /$i $RPM_BUILD_ROOT/usr/lib
done
popd

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -s /usr/lib/kde1-compat/include $RPM_BUILD_ROOT/usr/include/kde1

# build file list
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
		/tmp/master.list

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
		-e '/\/config\//s|^|%config|' \
		-e 's|.1$|.1\*|g' >> \
		/tmp/master.list

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
		/tmp/master.list

grep "/include" /tmp/master.list > \
	/tmp/file.list.%{name}-devel
grep "\.so$" /tmp/master.list >> \
	/tmp/file.list.%{name}-devel
grep "\.la$" /tmp/master.list >> \
	/tmp/file.list.%{name}-devel
grep "\.a$" /tmp/master.list >> \
	/tmp/file.list.%{name}-devel
# KDOC
grep "/share/kdoc" /tmp/master.list >> \
	/tmp/file.list.%{name}-devel
grep "/bin" /tmp/master.list >> \
	/tmp/file.list.%{name}-devel
grep "/man/man1" /tmp/master.list >> \
	/tmp/file.list.%{name}-devel

egrep -v "/include|\.so$|\.la$|\.a$|/share/kdoc|/bin|/man/man1" \
	/tmp/master.list > \
	/tmp/file.list.%{name}

echo "%docdir %{_prefix}/share/doc/kde" >> \
	/tmp/file.list.%{name}

perl -ni -e 'print if (!/locale/)' /tmp/file.list.%{name}
(cd $RPM_BUILD_ROOT; find usr/lib/kde1-compat/share/locale -type f -print) | perl -ne 'print "%attr(-,root,root) %lang($1) /$_" if m|/locale/(..)|' >>	/tmp/file.list.%{name}

mkdir -p $RPM_BUILD_ROOT/usr/bin/
cat << EOF > $RPM_BUILD_ROOT/usr/bin/kdehelp
#!/bin/sh
[ -x /usr/bin/kfmclient ] && [ "f\$1" != "f" ] && /usr/bin/kfmclient openURL "file:\$1"
EOF

%clean
rm -rf $RPM_BUILD_ROOT /tmp/master.list
rm -rf $RPM_BUILD_ROOT /tmp/file.list.%{name}
rm -rf $RPM_BUILD_ROOT /tmp/file.list.%{name}-devel

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%files -f /tmp/file.list.%{name}
%attr(0755,root,root) /usr/bin/kdehelp

%files devel -f /tmp/file.list.%{name}-devel
%defattr(-,root,root)
# %doc *kdoc.gz
%doc srcdoc/*

%changelog
* Tue Oct  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-7mdk
- fix Group
- fix file-not-in-%lang

* Tue Sep  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-6mdk
- added a fake /usr/bin/kdehelp with the help of David Faure

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-5mdk
- recompile, it was not linking apps anymore

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-4mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.1.2-3mdk
- Corrected change log

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add libQwSpriteField from kdesupport 1.1.2 (the other kdesupport stuff
  comes from kdesupport 2.x - no incompatible changes there)
- restore development package

* Sun Jun 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- turn it into a compat package

* Sat Jun 03 2000 Bill Nottingham <notting@redhat.com>
- autoconf tweaks for ia64

* Sat Jun 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- The optimization bug is x86 specific - don't use O0 on other arches
- fix up install location

* Thu Jun 01 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use -O0 to work around gcc bugs; this should be reverted ASAP.
- some cleanups to spec file

* Thu Jun 01 2000 Than Ngo <than@redhat.de>
- Update to current KDE_1_1_BRANCH in CVS - some bugfixes
- rebuild for 7.0
- use DESTDIR for install

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir to %{_prefix}/doc/kde, dropped because of configure macro error.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- remove some debug output from KCharset class

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- modify readBoolEntry to accept "1" in addition to "true" and "on"
  for backwards compatibility (Terminal= is now bool; used to be
  string 0 or 1)

* Fri Feb  4 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip libraries

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- make relocatable

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH
- Make use of BuildPrereq
- kdelibs-devel requires kdesupport-devel
- rebuild in 6.2 environment (Qt 1.45)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to %{_prefix}/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and %{_prefix}/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use %{_prefix}/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to %{_prefix}/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane








